package com.ibiz.core.external.dao;

import com.ibiz.core.external.filter.CPXHSearchContext;
import com.ibiz.core.external.dao.po.ICPXHTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ICPXHTableDAO {

    ICPXHTable createCpxhTable();

    boolean create(ICPXHTable et);

    boolean update(ICPXHTable et);

    boolean remove(String cpxhid);

    ICPXHTable get(String cpxhid);

    ICPXHTable get(ICPXHTable et);


    List<ICPXHTable> searchDefault(CPXHSearchContext context);
}
